# binaryninja.plugin.BackgroundTask

class `binaryninja.plugin.``BackgroundTask`(initial_progress_text='', can_cancel=False, handle=None)
  `__init__`(initial_progress_text='', can_cancel=False, handle=None)

  Methods

  `__init__`([initial_progress_text, ...]) |
  `cancel`() |
  `finish`() |

  Attributes

  `can_cancel` | Whether the task can be cancelled (read-only)
  `cancelled` | Whether the task has been cancelled
  `finished` | Whether the task has finished
  `list` |
  `progress` | Text description of the progress of the background task (displayed in status bar of the UI)